# Permissions

A role is a set of permissions. Each permission configures if the concrete action is allowed inside the room. So when configuring a role you select which actions a participant with that role is allowed to perform.&#x20;

{% hint style="info" %}
Some of the permissions are **Role-sensitive** which means you can enable that permission to be applied only to a concrete set of target roles. For example you may want a speaker to be allowed to remove an attendee from the meeting, but **not** to be allowed to remove a moderator. In that case when you configure the Speaker role, you will list only the attendee role as a target role for the **Remove participants** permission.
{% endhint %}

#### Here is a list of the supported permission names:

* **broadcast**\
  Allowed to use their camera and microphone to broadcast.
* **manage\_broadcast&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to give and remove broadcast permission and lower raised hands of the selected roles.
* **start\_session**\
  Allowed to start sessions.
* **end\_session**\
  Allowed to end the session for everyone.
* **remove\_participant&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to remove participants with selected roles from the session.
* **screenshare**\
  Allowed to share their screen's video and audio.
* **manage\_screenshare&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to give and remove screenshare permission to the selected roles.&#x20;
* **recording**\
  Allowed to start and stop recordings.
* **general\_chat**\
  Allowed to chat openly in the general chat.
* **private\_chat**\
  Allowed to chat privately 1-to-1 with other participants
* **remote\_muting&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to remotely mute or turn off camera of participants with with the selected roles.
* **ask\_remote\_unmute&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to remotely ask selected roles to unmute or turn on camera.
* **raise\_hand**\
  Allowed to raise their hand to request broadcast permissions or take turns to speak.
* **manage\_roles&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark>&#x20;

  Allowed to move participants between the selected roles.
* **control\_room\_entry** \
  Allowed to admit / reject participants who wait to enter the room.
* **see\_participants\_panel**\
  Allowed to see the participants panel and receive join/leave notifications
* **invite\_participant**\
  Allowed to invite participants into the session.
* **edit\_whiteboard**\
  Allowed to edit the whiteboard - make drawings, etc...
* **manage\_edit\_whiteboard&#x20;**&#x20;<mark style="color:purple;background-color:purple;">Role-sensitive</mark> \
  Allowed to give and remove edit whiteboard permission to the selected roles.&#x20;
* **manage\_breakout**\
  Allowed to start/stop breakout rooms and manage assignment of participants to breakout
* **answer\_qa**\
  Allowed to answer questions
* **moderate\_qa**\
  Allowed to delete questions and answers of other participants
* **upvote\_qa**\
  Allowed to upvote questions
* **present\_files**\
  Allowed to present (open) files, so other participants can see the slides.
* **control\_room\_components**\
  Allowed to dynamically enable/disable room components. For example to enable/disable Chat, Questions & Answers and Whiteboard on the fly while a session is running in the room.
* **manage\_polls**\
  Allowed to create/edit/start/end/share polls
* **take\_polls**\
  Allowed to vote in (take) polls
* **transcribe\_session**\
  Allowed to start and stop transcription for a live session


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/roles-and-permissions/permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
